* {
    box-sizing: border-box;
}

#header {
    width: 100%;
    font-size: 20px;
    font-family: 'Times New Roman', Times, serif;
    height: 120px;
    background: #8223c2;
    background: linear-gradient(90deg, rgba(130, 35, 194, 1) 0%, rgba(253, 29, 29, 1) 50%, rgba(38, 196, 35, 1) 100%);
}

#main {
    float: left;
    background-color: cyan;
    width: 30%;
    height: 200px;
}

#sidebar {
    float: right;
    background-color: rgb(145, 92, 145);
    width: 30%;
    height: 200px;

}

#footer {
    width: 100%;
    font-size: 15px;
    font-family: 'Times New Roman', Times, serif;
    height: 40px;
    background-color: purple;
    clear: both;
    margin-top: 20px;
}